/* GENERAL START */

/* MARQUEE TITLE START */
.marquee-title-wrapper {
  overflow: hidden;
  white-space: nowrap;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: flex-start;
  gap: 3rem;
}

.marquee-title-inner {
  display: flex;
  width: max-content;
  animation: marquee-title-scroll 10s linear infinite;
}

.marquee-title-inner span {
  font-family: "ZonaPro", Sans-serif;
  font-size: 280px;
  line-height: 1;
  font-weight: 800;
  white-space: nowrap;
  color: var(--e-global-color-d090260);
}

@keyframes marquee-title-scroll {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-100%);
  }
}
@media screen and (max-width: 1919px) and (min-width: 1025px) {
  .marquee-title-inner span {
    font-size: 14.58vw;
  }
}
@media screen and (max-width: 1024px) {
  .marquee-title-inner span {
    font-size: 80px;
  }
}
/* MARQUEE TITLE END */

/* SIDEBAR START */
.sidebar-menu a {
  transition: all 0.3s ease-in-out;
}
.sidebar-menu a:before {
  content: "";
  width: 20px;
  height: 20px;
  background: url(/wp-content/uploads/2025/05/arrow-menu.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  background-color: unset !important;
  opacity: 1 !important;
  position: relative;
  margin-right: 5px;
}
.sidebar-menu.white a:before {
  background: url(/wp-content/uploads/2025/05/arrow-menu-white-1.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}
.sidebar-menu a:hover {
  transform: translateX(20px);
}
.sidebar-menu.white a:hover::before {
  background: url(/wp-content/uploads/2025/05/arrow-menu.svg);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.sidebar-menu.white li:hover {
  background-color: white;
}
.sidebar-menu.white li {
  border-top: 1px solid white;
}
@media screen and (max-width: 1919px) and (min-width: 1025px) {
  .sidebar-menu a:before {
    width: 1.04vw;
    height: 1.04vw;
    margin-right: 0.26vw;
  }
  .sidebar-menu a:hover {
    transform: translateX(1.04vw);
  }
}
/* SIDEBAR END */

/* GALLERY START */

.images-gallery .swiper-wrapper {
  align-items: stretch !important;
}

.images-gallery .swiper-slide,
.images-gallery .swiper-slide-inner,
.images-gallery img {
  height: 950px;
  object-fit: cover;
  object-position: center;
}

.images-gallery .elementor-swiper-button {
  background: white;
  border-radius: 50%;
  padding: 5px;
  opacity: 0.7;
  transition: all 0.3s ease-in-out;
}

.images-gallery .elementor-swiper-button:not(.swiper-button-disabled):hover {
  opacity: 1;
}

@media screen and (max-width: 1919px) and (min-width: 1025px) {
  .images-gallery .swiper-slide,
  .images-gallery .swiper-slide-inner,
  .images-gallery img {
    height: 49.48vw;
  }

  .images-gallery .elementor-swiper-button {
    padding: 0.26vw;
  }
}

@media screen and (max-width: 1024px) {
  .images-gallery .swiper-slide,
  .images-gallery .swiper-slide-inner,
  .images-gallery img {
    height: 400px;
  }

  .images-gallery .elementor-swiper-button {
    padding: 10px;
  }
}
/* GALLERY END */

/* GENERAL END */
/* HEADER START */
#main-header #main-header-logo img {
  transition: all 0.3s ease-in-out;
}
#main-header.fixed-header #main-header-logo img {
  max-width: 95px;
  width: 4.95vw;
}

@media screen and (max-width: 1024px) {
  #main-header.fixed-header #main-header-logo img {
    width: 60px;
  }
}
/* HEADER END */

/* PRODUCT PAGE START */
body.single-product #wpgs-gallery {
  max-height: calc(100vh - 170px);
}

body.single-product #wpgs-gallery .wcgs-carousel,
body.single-product #wpgs-gallery .wcgs-carousel .spswiper-wrapper,
body.single-product
  #wpgs-gallery
  .wcgs-carousel
  .spswiper-wrapper
  .spswiper-slide,
body.single-product
  #wpgs-gallery
  .wcgs-carousel
  .spswiper-wrapper
  .spswiper-slide
  .wcgs-slider-image,
body.single-product
  #wpgs-gallery
  .wcgs-carousel
  .spswiper-wrapper
  .spswiper-slide
  .wcgs-slider-image
  .wcgs-slider-image-tag {
  max-height: calc(100vh - 330px);
  object-fit: contain;
}
@media screen and (max-width: 1919px) and (min-width: 1024px) {
  body.single-product #wpgs-gallery {
    max-height: calc(100vh - 8.85vw);
  }
  body.single-product #wpgs-gallery .wcgs-carousel,
  body.single-product #wpgs-gallery .wcgs-carousel .spswiper-wrapper,
  body.single-product
    #wpgs-gallery
    .wcgs-carousel
    .spswiper-wrapper
    .spswiper-slide,
  body.single-product
    #wpgs-gallery
    .wcgs-carousel
    .spswiper-wrapper
    .spswiper-slide
    .wcgs-slider-image,
  body.single-product
    #wpgs-gallery
    .wcgs-carousel
    .spswiper-wrapper
    .spswiper-slide
    .wcgs-slider-image
    .wcgs-slider-image-tag {
    max-height: calc(100vh - 17.19vw);
  }
}

@media screen and (min-width: 1024px) {
  body.single-product .summary {
    padding-left: 10px;
  }
  body.single-product .summary .tooltip .tooltiptext {
    padding: 7px 4px;
  }
}
/* PRODUCT PAGE END */
